//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class Users
    {
        public Users()
        {
            this.UserAreas = new HashSet<UserAreas>();
            this.UserPageAction = new HashSet<UserPageAction>();
            this.UserDirectAccesses = new HashSet<UserDirectAccesses>();
            this.Authorizations = new HashSet<Authorizations>();
            this.Logs = new HashSet<Logs>();
            this.QuickOrders = new HashSet<QuickOrders>();
            this.UsersSettings = new HashSet<UsersSettings>();
            this.UserUDFs = new HashSet<UserUDFs>();
        }
    
        public int IdUser { get; set; }
        public string Name { get; set; }
        public string Password { get; set; }
        public short UserIdSAP { get; set; }
        public string UserPasswordSAP { get; set; }
        public bool Active { get; set; }
        public Nullable<int> IdRol { get; set; }
    
        public virtual Roles Roles { get; set; }
        public virtual ICollection<UserAreas> UserAreas { get; set; }
        public virtual ICollection<UserPageAction> UserPageAction { get; set; }
        public virtual ICollection<UserDirectAccesses> UserDirectAccesses { get; set; }
        public virtual ICollection<Authorizations> Authorizations { get; set; }
        public virtual ICollection<Logs> Logs { get; set; }
        public virtual ICollection<QuickOrders> QuickOrders { get; set; }
        public virtual ICollection<UsersSettings> UsersSettings { get; set; }
        public virtual ICollection<UserUDFs> UserUDFs { get; set; }
    }
}
